(function () {

/* Imports */
var Meteor = Package.meteor.Meteor;
var _ = Package.underscore._;
var Random = Package.random.Random;
var Accounts = Package['accounts-base'].Accounts;
var Google = Package.google.Google;
var Github = Package.github.Github;

(function () {

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                     //
// packages/sandstorm-accounts-packages/accounts.js                                                    //
//                                                                                                     //
/////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                       //
if (Meteor.isClient) {                                                                                 // 1
  Meteor.loginWithGoogle = function(options, callback) {                                               // 2
    // support a callback without options                                                              // 3
    if (! callback && typeof options === "function") {                                                 // 4
      callback = options;                                                                              // 5
      options = null;                                                                                  // 6
    }                                                                                                  // 7
                                                                                                       // 8
    var credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback); // 9
    Google.requestCredential(options, credentialRequestCompleteCallback);                              // 10
  };                                                                                                   // 11
  Meteor.loginWithGithub = function(options, callback) {                                               // 12
    // support a callback without options                                                              // 13
    if (! callback && typeof options === "function") {                                                 // 14
      callback = options;                                                                              // 15
      options = null;                                                                                  // 16
    }                                                                                                  // 17
                                                                                                       // 18
    var credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback); // 19
    Github.requestCredential(options, credentialRequestCompleteCallback);                              // 20
  };                                                                                                   // 21
}                                                                                                      // 22
                                                                                                       // 23
Accounts.registerService = function (serviceName) {                                                    // 24
  if (_.contains(Accounts.oauth.serviceNames(), serviceName)) {                                        // 25
    return;                                                                                            // 26
  }                                                                                                    // 27
  if (Meteor.isClient && (serviceName === "demo" || serviceName === "devAccounts")) {                  // 28
    var serviceUserDisplay;                                                                            // 29
    if (serviceName === "demo") {                                                                      // 30
      serviceUserDisplay = "a Demo User";                                                              // 31
    } else {                                                                                           // 32
      serviceUserDisplay = "a Dev Account";                                                            // 33
    }                                                                                                  // 34
    Accounts.ui.registerService(serviceName, serviceUserDisplay);                                      // 35
  } else {                                                                                             // 36
    Accounts.oauth.registerService(serviceName);                                                       // 37
  }                                                                                                    // 38
};                                                                                                     // 39
                                                                                                       // 40
Accounts.deregisterService = function (serviceName) {                                                  // 41
  if (!_.contains(Accounts.oauth.serviceNames(), serviceName)) {                                       // 42
    return;                                                                                            // 43
  }                                                                                                    // 44
  if (Meteor.isClient && (serviceName === "demo" || serviceName === "devAccounts")) {                  // 45
    Accounts.ui.deregisterService(serviceName);                                                        // 46
  } else {                                                                                             // 47
    Accounts.oauth.deregisterService(serviceName);                                                     // 48
  }                                                                                                    // 49
};                                                                                                     // 50
                                                                                                       // 51
/////////////////////////////////////////////////////////////////////////////////////////////////////////

}).call(this);


/* Exports */
if (typeof Package === 'undefined') Package = {};
Package['sandstorm-accounts-packages'] = {};

})();

//# sourceMappingURL=sandstorm-accounts-packages.js.map
